std::_Safe_tuple_element< __i, _Tuple >(3cxx)

NAME
std::_Safe_tuple_element< __i, _Tuple >

SYNOPSIS

Inherits std::_Safe_tuple_element_impl< __i, _Tuple,(__i< tuple_size< _Tuple >::value)>.

Detailed Description

  template<std::size_t __i, typename _Tuple>
struct std::_Safe_tuple_element< __i, _Tuple >" Like tuple_element, but returns _No_tuple_element when tuple_element would return an error.

Definition at line 862 of file functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.